%define anolis_release 4
%global modname libintl-perl

Name:           perl-%{modname}
Version:        1.33
Release:        %{anolis_release}%{?dist}
Summary:        Internationalization library for Perl, compatible with gettext
License:        GPLv3+ and LGPLv2+
URL:            https://metacpan.org/release/%{modname}
Source0:        https://cpan.metacpan.org/authors/id/G/GU/GUIDO/%{modname}-%{version}.tar.gz

BuildRequires: coreutils findutils gcc make sed
BuildRequires: glibc-common glibc-langpack-de glibc-langpack-en
BuildRequires: perl-devel perl-generators perl-interpreter
BuildRequires: perl(Config) perl(Cwd) perl(DynaLoader) perl(Encode) perl(Encode::Alias)
BuildRequires: perl(Exporter) perl(ExtUtils::MakeMaker) perl(File::Basename)
BuildRequires: perl(File::Find) perl(File::ShareDir) perl(File::Spec)
BuildRequires: perl(I18N::Langinfo) perl(IO::Handle) perl(POSIX)
BuildRequires: perl(Test) perl(Test::Harness) perl(strict) perl(vars)
BuildRequires: perl(base) perl(bytes) perl(constant) perl(integer) perl(locale)

Requires:       perl(Carp) perl(Encode::Alias) perl(POSIX)

Recommends:     perl(File::ShareDir) perl(I18N::Langinfo)

Provides:       perl-libintl = %{EVR}
Obsoletes:      perl-libintl < 1.25

%{?perl_default_filter}

%description
The package libintl-perl is an internationalization library for Perl that
aims to be compatible with the Uniforum message translations system as
implemented for example in GNU gettext.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{modname}-%{version}

find -type f -exec chmod -x {} \;
find lib/Locale gettext_xs \( -name '*.pm' -o -name '*.pod' \) \
    -exec sed -i -e '/^#! \/bin\/false/d' {} \;

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}" NO_PERLLOCAL=1
%make_build

%install
%make_install
find %{buildroot} -type f \( -name .packlist -o \
                  -name '*.bs' -size 0 \) -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%{perl_vendorlib}/Locale/
%{perl_vendorarch}/auto/Locale/
%{_mandir}/man?/*
%doc sample
%license COPYING

%files doc
%doc Changes README NEWS REFERENCES THANKS FAQ TODO Credits

%changelog
* Thu Apr 13 2023 Yuanhong Peng <yummypeng@linux.alibaba.com> - 1.33-4
- Refactor the specfile

* Wed Feb 08 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.33-3
- remove versioned MODULE_COMPAT_ requires

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.33-2
- rebuild with perl 5.36.0

* Tue Jan 17 2023 Funda Wang <fundawang@yeah.net> - 1.33-1
- Import package for anolis 23
